LISTMENU "MainMenu"
{
	StaticPatch 94, 2, "M_DOOM"
	Position 97, 72
	Font "DBIGFONT", 			"MenuWhite"
	TextItem "SinglePlayer", 	"s", "PlayerclassMenu"
	TextItem "Multiplayer", 	"m", "8BDM_Multiplayer"
	TextItem "Player Setup", 	"p", "8BDM_PlayerMenu"
	TextItem "Settings", 		"t", "8BDM_Settings"
	TextItem "Make-a-Class", "l", "Make-a-ClassMenu" 
	TextItem "Quit Game", 		"q", "QuitMenu"
}

OptionMenu "Make-a-ClassMenu"
{
    Title "Make A Class"
	StaticText     ""
	SubMenu "Mainfire", "ProjectCust"
	StaticText     ""
    SubMenu "Altfire", "AltProjectCust"
    StaticText ""
	Slider "Jump Height", "MAC_JumpHeight",8,20,1 
	StaticText "$Jump_Select"
	StaticText ""
	Slider "Movement Speed", "MAC_MovementSpeed",0.6,1.4,0.1 
	StaticText "$Speed_Select"
	StaticText ""
	Slider "Health", "MAC_Health",50,200,10 
	StaticText "$Health_Select"
	StaticText ""
	SubMenu "Cosmetics", "Cosmetics"
	StaticText "$Cosmetics_Select"
	StaticText ""
	SubMenu "Configurations", "Configurations"
	StaticText ""
	StaticText "$Warning_Text"
	StaticText "$Warning_Text2"
	StaticText "$Warning_Text3"
	StaticText "$Warning_Text4"
	StaticText ""
	SubMenu "Damage Limiter", "DamageLimiter"
	StaticText ""
	Option "Display Damage","MAC_DisplayDamage","YesNo"
	StaticText "$DAMAGE_DISPLAY"
	StaticText ""
	Option "Opt Out","MAC_OptOut","YesNo"
	StaticText "$OPT_OUT"
	StaticText ""
	Option "Bot Opt Out","MAC_BotOptOut","YesNo"
	StaticText "$BOTOPT_OUT"
	StaticText ""
	StaticText ""
	}
	
OptionMenu "DamageLimiter"
{
Title "Damage Limiter"
StaticText     ""
Option "Damage Limiter", "MAC_DamageLimiter", "YesNo"
StaticText "$DAMAGE_LIMITER"
StaticText ""
TextField  "Normal Damage Limit", "MAC_MaxNormalDamage"
TextField  "Shotgun Damage Limit", "MAC_MaxShotgunDamage"
TextField  "Spread Damage Limit", "MAC_MaxSpreadDamage"
TextField  "VShot Damage Limit", "MAC_MaxVShotDamage"
StaticText ""
StaticText "Server Help"
StaticText "$DAMAGELIMITER_SERVERHELP1"
StaticText "$DAMAGELIMITER_SERVERHELP2"
}
	
OptionMenu "Configurations"
{
Title "Configurations"
StaticText ""
TextField "Configuration 1", "MAC_Class1Name"
Command "                              Save Slot 1", "SaveConfig1"
Command "                              Load Slot 1", "LoadConfig1"
StaticText ""                            
TextField "Configuration 2", "MAC_Class2Name"
Command "                               Save Slot 2", "SaveConfig2"
Command "                               Load Slot 2", "LoadConfig2"
StaticText ""                              
TextField "Configuration 3", "MAC_Class3Name"
Command "                               Save Slot 3", "SaveConfig3"
Command "                               Load Slot 3", "LoadConfig3"
StaticText ""
}


OptionMenu "Cosmetics"
{
Title "Cosmetics"
StaticText ""
ColorPicker "Primary Character Color", "MAC_BlueColor"
ColorPicker "Secondary Character Color", "MAC_CyanColor"
StaticText ""
SubMenu "Obituary", "Obituary"
StaticText ""
StaticText "$Mainfire_Cosmetics"
StaticText ""
ColorPicker "Primary Main Shot Color", "MAC_BlueProjectileColor"
ColorPicker "Secondary Main Shot Color", "MAC_CyanProjectileColor"
StaticText ""
Option "Fire Sound Select", "MAC_FireSoundSelect", "FireSoundOptions"
Option "Mid Charge Shot Sound Select", "MAC_MidChargeShotSoundSelect", "FireSoundOptions"
Option "Charge Shot Sound Select", "MAC_ChargeShotSoundSelect", "FireSoundOptions"
StaticText ""
Option "Projectile Graphic Select", "MAC_ProjectileGraphic", "ProjectileGraphicOptions"
Option "Trail Select", "MAC_TrailSelect", "TrailOptions"
StaticText ""
StaticText "$Altfire_Cosmetics"
StaticText ""
ColorPicker "Primary Alt Shot Color", "MAC_AltBlueProjectileColor"
ColorPicker "Secondary Alt Shot Color", "MAC_AltCyanProjectileColor"
StaticText ""
Option "Alt Fire Sound Select", "MAC_AltFireSoundSelect", "FireSoundOptions"
Option "Alt Mid Charge Shot Sound Select", "MAC_AltMidChargeShotSoundSelect", "FireSoundOptions"
Option "Alt Charge Shot Sound Select", "MAC_AltChargeShotSoundSelect", "FireSoundOptions"
StaticText ""
Option "Alt Projectile Graphic Select", "MAC_AltProjectileGraphic", "ProjectileGraphicOptions"
Option "Alt Trail Select", "MAC_AltTrailSelect", "TrailOptions"
StaticText ""
}

OptionMenu "Obituary" 
{
Title "Obituary"
Option "Obituary Name Order", "MAC_DeathObitNameOrder", "ObitNameOrder"
StaticText "$OBITNAME_TEXT"
StaticText ""
TextField "Obituary","MAC_DeathObit"
StaticText "$OBIT_TEXT"
StaticText ""
TextField "Obituary 2","MAC_DeathObit2"
StaticText "$OBIT2_TEXT"
StaticText ""
Option "Filter Obituary","MAC_FilterObitEnable","YesNo"
StaticText "$OBITFILTER_TEXT"
StaticText ""
Option "Filter Obituary Name Order", "MAC_FilterObitNameOrder", "FilterObitNameOrder"
StaticText "$OBITFILTERNAME_TEXT"
StaticText ""
TextField "Obituary","MAC_FilterObit"
StaticText "$OBITFILTER1_TEXT"
StaticText ""
TextField "Obituary 2","MAC_FilterObit2"
StaticText "$OBITFILTER2_TEXT"
StaticText ""
StaticText "$OBIT_WARNING"
StaticText "$OBIT_WARNING2"
StaticText "$OBIT_WARNING3"
}

OptionMenu "ProjectCust"
{
Title "Projectile Customization"
StaticText     ""
Option "Ammo Regen", "MAC_AmmoRegen", "AmmoRegenOptions"
StaticText "$AMMO_REGEN"
StaticText ""
Option "Fire Type", "MAC_Firetype", "FireTypeOptions"
StaticText "$FIRE_TYPE"
StaticText ""
Slider "Fire Rate", "MAC_FireRate",1,35,1 
StaticText "$FIRE_RATE"
StaticText ""
Option "Projectile Movement", "MAC_ProjectileMovement", "ProjectileMovementOptions"
StaticText "$PROJECTILE_MOVEMENT"
StaticText ""
Option "On Collison", "MAC_OnCollision", "OnCollisionOptions"
StaticText "$ON_COLLISION"
StaticText ""
Option "Fire Alteration", "MAC_FireAlteration", "FireAlterationOptions"
StaticText "$FIRE_ALTERATION"
StaticText ""
Option "Damage Type", "MAC_DamageType", "DamageTypeOptions"
StaticText "$DAMAGE_TYPE"
StaticText ""
Slider "Shot Speed", "MAC_ProjectileSpeed",10,80,10 
StaticText "$SHOT_SPEED"
StaticText ""
Slider "Travel Time", "MAC_TravelTime", 0, 40, 1
StaticText "$TRAVEL_TIME"
StaticText ""
Slider "Gravity", "MAC_ProjectileGravity", -20, 20, 1
StaticText "$PROJECTILE_GRAVITY"
StaticText ""
Slider "Recoil", "MAC_Recoil", 0, 20, 1
StaticText ""
Option "Bounce","MAC_Bounce","YesNoBounce"
StaticText "$BOUNCE_SELECT"
StaticText ""
Option "Ripper","MAC_Ripper","YesNoRipper"
StaticText "$RIPPER_SELECT"
StaticText ""
Option "Floor Crawler","MAC_FloorCrawler","YesNoFloorCrawler"
StaticText "$FLOORCRAWLER_SELECT"
StaticText ""
Option "Shot Variance","MAC_ShotVariance","YesNoShotVariance"
StaticText "$SHOTVARIANCE_SELECT"
StaticText ""
StaticText ""
}

OptionMenu "AltProjectCust"
{
Title "AltFire Customization"
StaticText ""
Option "Altfire", "MAC_Altfire", "AltFireOptions"
StaticText "$ALTFIRE_SELECT"
StaticText ""
StaticText "$ALTFIRE_SELECT2"
Option "Ammo Regen", "MAC_AltAmmoRegen", "AmmoRegenOptions"
StaticText "$AMMO_REGEN"
StaticText ""
Option "Fire Type", "MAC_AltFiretype", "FireTypeOptions"
StaticText "$FIRE_TYPE"
StaticText ""
Slider "Fire Rate", "MAC_AltFireRate",1,35,1 
StaticText "$FIRE_RATE"
StaticText ""
Option "Projectile Movement", "MAC_AltProjectileMovement", "ProjectileMovementOptions"
StaticText "$PROJECTILE_MOVEMENT"
StaticText ""
Option "On Collison", "MAC_AltOnCollision", "OnCollisionOptions"
StaticText "$ON_COLLISION"
StaticText ""
Option "Fire Alteration", "MAC_AltFireAlteration", "FireAlterationOptions"
StaticText "$FIRE_ALTERATION"
StaticText ""
Option "Damage Type", "MAC_AltDamageType", "DamageTypeOptions"
StaticText "$DAMAGE_TYPE"
StaticText ""
Slider "Shot Speed", "MAC_AltProjectileSpeed",10,80,10 
StaticText "$SHOT_SPEED"
StaticText ""
Slider "Travel Time", "MAC_AltTravelTime", 0, 40, 1
StaticText "$TRAVEL_TIME"
StaticText ""
Slider "Gravity", "MAC_AltProjectileGravity", -20, 20, 1
StaticText "$PROJECTILE_GRAVITY"
StaticText ""
Slider "Recoil", "MAC_AltRecoil", 0, 20, 1
StaticText ""
Option "Bounce","MAC_AltBounce","YesNoBounce"
StaticText "$BOUNCE_SELECT"
StaticText ""
Option "Ripper","MAC_AltRipper","YesNoRipper"
StaticText "$RIPPER_SELECT"
StaticText ""
Option "Floor Crawler","MAC_AltFloorCrawler","YesNoFloorCrawler"
StaticText "$FLOORCRAWLER_SELECT"
StaticText ""
Option "Shot Variance","MAC_AltShotVariance","YesNoShotVariance"
StaticText "$SHOTVARIANCE_SELECT"
StaticText ""
StaticText ""
}

OptionValue ObitNameOrder
{
0, "Killer/Victim"
1, "Victim/Killer"
}

OptionValue FilterObitNameOrder
{
0, "Killer/Victim"
1, "Victim/Killer"
}

OptionValue YesNo
{
0, "No"
1, "Yes"
}

OptionValue YesNoBounce
{
0, "No"
1, "Yes (-3)"
}

OptionValue YesNoRipper
{
0, "No"
1, "Yes (-60%)"
}

OptionValue YesNoFloorCrawler
{
0, "No"
1, "Yes (-2)"
}
OptionValue YesNoShotVariance
{
0, "No"
1, "Yes (+1)"
}


OptionValue AmmoRegenOptions
{
-1,"Random"
0, "Very Slow(+4)"
1, "Slow(+2)"
2, "Normal"
3, "Fast(-2)"
4, "Very Fast(-4)"
}

OptionValue FireTypeOptions
{
-1,"Random"
0, "Normal"
1, "Shotgun(-60%)"
2, "Spread(-50%)"
3, "V-Shot(-20%)"
}
OptionValue ProjectileMovementOptions
{
-1, "Random"
0, "Nothing"
1, "Velocity(-1)"
2, "Slowmo(+1)"
3, "Guided(-3)"
//4, "Homing"
}
OptionValue OnCollisionOptions
{
-1, "Random"
0, "Nothing"
1, "Explosion(-7)"
2, "Split(-4)"
3, "Boomerang(-3)"
}

OptionValue FireAlterationOptions
{
-1, "Random"
0, "Nothing"
1, "RevUp(-3)"
2, "Charge Shot(-5,+50% Charged)"
}

OptionValue DamageTypeOptions
{
-1, "Random"
0, "Nothing"
1, "Ice(-5)"
2, "Spark(-75%)"
3, "Slow(-50%)"
4, "Wind(-5)"
5, "Fire(-10)"
}

OptionValue AltfireOptions
{
-1, "Random"
0, "Mainfire Damage +5"
1, "Dash Boost"
2, "Flight Boost"
3, "Energy Absorber"
4, "Second Custom Shot"
}

OptionValue FireSoundOptions
{
1, "Mega Buster"
2, "Middle Charge Shot"
3, "Charge Shot"
4, "Oil Shot"
5, "Rolling Cutter"
6, "Fire Storm"
7, "Hyper Bomb"
8, "Thunder Beam"
9, "Ice Slasher"
10, "Super Arm"
11, "Leaf Shield"
12, "Air Shooter"
13, "Metal Blade"
14, "Atmoic Fire"
15, "Spark Shock"
16, "Gemini Laser"
17, "Magnet Missile"
18, "Top Spin"
19, "Shadow Blade"
20, "Pharaoh Shot"
21, "Pharoah Shot Charged"
22, "Ring Boomerang"
23, "Drill Bomb"
24, "Gravity Hold"
25, "Water Wave"
26, "Power Stone"
27, "Gyro Attack"
28, "Charge Kick"
29, "Danger Wrap"
30, "Wild Coil"
31, "Wild Coil Charged"
32, "Noise Crush"
33, "Thunder Bolt"
34, "Slash Claw"
35, "Mega Ball"
36, "Water Balloon"
37, "Thunder Claw"
38, "Flame Sword"
39, "Ice Wave"
40, "Magic Card"
41, "Spread Drill Large"
42, "Spread Drill Medium"
43, "Spread Drill Small"
44, "Tengu Blade"
45, "Ice Wall"
46, "Wave Burner"
47, "Plug Ball"
48, "Hornet Chaser"
49, "Magma Bazooka"
50, "Jewel Sattlite"
51, "Concrete Shot"
52, "Laser Trident"
53, "Revolver Buster"
54, "Triple Blade"
55, "Thunder Wool"
56, "Thunder Wool Lightning"
57, "Commando Bomb"
58, "Rebound Striker"
59, "Wheel Cutter"
60, "Chill Spike"
61, "Solar Blaze"
62, "Water Shield"
63, "Spark Chaser"
64, "Bubble Bomb"
65, "Electric Shock"
66, "Deep Digger"
67, "Break Dash"
68, "Grab Buster"
69, "Mirror Buster Small"
70, "Mirror Buster Big"
71, "Ballade Cracker"
72, "Screw Crusher" 
}

OptionValue TrailOptions
{
0, "None"
1, "Fadeout"
2, "Energy"
3, "Signal"
4, "Colored Signal"
5, "Sparkle"
6, "Colored Sparkle"
7, "Smoke"
8, "Colored Smoke"
9, "Rain Drop"
}

OptionValue ProjectileGraphicOptions
{
0, "Energy Sphere"
1, "Water Balloon"
2, "Fire Storm"
3, "Double Cyclone"
4, "Power Stone"
5, "Electric Spark"
6, "Spinning Blade"
7, "Hornet Chaser"
8, "Homing Sniper"
9, "Drift Diamond"
}